package my.library;

public class Cone {

  private int radius, height;
  static final double PI = 3.14159265359;
  
  public Cone(int r, int h) {
    radius = r;
    height = h;
  }
   
  public void setHeight(int h) {
     height = h;
  }
  
  public void setRadius(int r) {
     radius = r;
  }
    
  public int getHeight() {
     return height;
  }
  
  public int getWidth() {
     return radius;
  }
  
  public double area() {
    return radius * radius * PI + radius * PI * Math.sqrt(radius*radius+height*height);
  }
  
  public double volume() {
    return height * radius * radius * PI/ 3.0;
  }
  
  public String toString() {
    return "height: "+height+", radius: "+radius+", area: "+ area() +", volume: "+volume();
  }
}