package my.library;

public class Cylinder {

  private int radius, height;
  static final double PI = 3.14159265359;
  
  public Cylinder(int r, int h) {
    radius = r;
    height = h;
  }
   
  public void setHeight(int h) {
     height = h;
  }
  
  public void setRadius(int r) {
     radius = r;
  }
    
  public int getHeight() {
     return height;
  }
  
  public int getWidth() {
     return radius;
  }
  
  public double area() {
    return 2 * radius * radius * PI + 2 * radius * PI * height;
  }
  
  public double volume() {
    return height * radius * radius * PI;
  }
  
  public String toString() {
    return "height: "+height+", radius: "+radius+", area: "+ area() +", volume: "+volume();
  }
}